# Uses of Class
org.codehaus.janino.Java.CatchClause

Packages that use Java.CatchClause
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.CatchClause in org.codehaus.janino

Fields in org.codehaus.janino with type parameters of type Java.CatchClause
Modifier and Type
Field
Description
`final List<Java.CatchClause>`
Java.TryStatement.`catchClauses`
The list of catch clauses (including the "default" clause) of the TRY statement.
Methods in org.codehaus.janino with parameters of type Java.CatchClause
Modifier and Type
Method
Description
`protected void`
UnitCompiler.`buildLocalVariableMap(Java.CatchClause catchClause, Map<String,Java.LocalVariable> localVars)`
Adds the given localVars to the 'local variable map' of the given catchClause.
Constructor parameters in org.codehaus.janino with type arguments of type Java.CatchClause
Modifier
Constructor
Description
``
`TryStatement(Location location, Java.BlockStatement body, List<Java.CatchClause> catchClauses)`
A TRY statement with no resources and no FINALLY clause.

## Uses of Java.CatchClause in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.CatchClause
Modifier and Type
Method
Description
`Java.CatchClause`
DeepCopier.`copyCatchClause(Java.CatchClause subject)`
Methods in org.codehaus.janino.util that return types with arguments of type Java.CatchClause
Modifier and Type
Method
Description
`List<Java.CatchClause>`
DeepCopier.`copyCatchClauses(Collection<? extends Java.CatchClause> subject)`
Methods in org.codehaus.janino.util with parameters of type Java.CatchClause
Modifier and Type
Method
Description
`Java.CatchClause`
DeepCopier.`copyCatchClause(Java.CatchClause subject)`
Method parameters in org.codehaus.janino.util with type arguments of type Java.CatchClause
Modifier and Type
Method
Description
`List<Java.CatchClause>`
DeepCopier.`copyCatchClauses(Collection<? extends Java.CatchClause> subject)`